Bug 1459898 - Newer installer options on upgraded setup and not on fresh box
Newer installer options on upgraded setup and not on fresh box
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Stephen Benjamin
Nikhil Kathole
: PrioBumpQA, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 09:26 EDT by Sanket Jagtap
Modified: 2018-02-21 11:54 EST (History)
8 users (show)

See Also:
Fixed In Version: satellite-installer-6.3.0.3,satellite-installer-6.3.0.11-1.beta,satellite-installer-6.3.0.11-2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanket Jagtap 2017-06-08 09:26:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Upgraded Satellite 6.1.z to 6.2.10 snap3
Upgraded Satellite 6.2.z to 6.2.10 snap3

How reproducible:
Always 

We have the Installer test failing on our upgrade setup which looks for changes on installer options and flags.
This is seen on both 6.1.z -> 6.2.10 snap3 and 6.2.z ->6.2.10 snap3

E       AssertionError: Items in the second set but not the first:
E       u'--[no-]enable-foreman-plugin-templates'
E       u'--foreman-plugin-puppetdb-address'
E       u'--[no-]enable-foreman-plugin-setup'
E       u'--foreman-plugin-puppetdb-dashboard-address'
E       u'--[no-]enable-foreman-plugin-hooks'
E       u'--[no-]enable-foreman-plugin-chef'
E       u'--[no-]enable-foreman-plugin-puppetdb'
E       u'--[no-]enable-foreman-plugin-default-hostgroup'
E       u'--foreman-plugin-puppetdb-package'


I don't see these options on a freshly installed box.


Additional info:
Comment 6 Stephen Benjamin 2018-01-12 10:14:30 EST
In Satellite 6.1, we shipped with a number of Foreman plugins referenced
in the answers file.  They were set to 'false' so not enabled, however
they produce output in the --help of satellite-installer as you see.

In 6.2 they were removed from the answers without any corresponding migration.  There's little harm from them being there, however we should clean them up.
Comment 13 Nikhil Kathole 2018-01-23 08:08:20 EST
VERIFIED

Comparing upgraded 6.3.0 snap 33 satellite and fresh 6.3.0 snap 33 satellite found no changes in installer options.
Comment 14 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.